Package: org.gradle.api.file

## [Java] Interface FileVisitor

- A `FileVisitor` is used to visit each of the files in a FileTree.

- - ### Methods Summary

    Methods
    Type | Name and description
    --- | ---
    `void` | `visitDir(FileVisitDetails dirDetails)` Visits a directory.
    `void` | `visitFile(FileVisitDetails fileDetails)` Visits a file.

- - ### Method Detail

    - #### public void visitDir(FileVisitDetails dirDetails)

      Visits a directory.

      Parameters:
        `dirDetails` - Meta-info about the directory.

    - #### public void visitFile(FileVisitDetails fileDetails)

      Visits a file.

      Parameters:
        `fileDetails` - Meta-info about the file.